> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Hris Documents

> Lists the caller's employee-visible documents with signed download URLs plus pending-countersignature and finalizing items.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-my-hris-documents
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-my-hris-documents:
    get:
      operationId: getMyHrisDocuments
      summary: Get My Hris Documents
      description: >-
        Lists the caller's employee-visible documents with signed download URLs
        plus pending-countersignature and finalizing items.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMyHrisDocumentsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMyHrisDocumentsResponse:
      type: object
      properties:
        documents:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              category:
                type: string
              stepId:
                type:
                  - string
                  - 'null'
              displayName:
                type:
                  - string
                  - 'null'
              fileName:
                type: string
              downloadUrl:
                type: string
              createdAt:
                type: string
              fileSizeInBytes:
                type:
                  - number
                  - 'null'
              liveTemplateInstanceId:
                type:
                  - string
                  - 'null'
              signingDelivery:
                type:
                  - string
                  - 'null'
                enum:
                  - IN_APP
                  - EMAIL
                  - null
              signingStatus:
                type:
                  - string
                  - 'null'
                enum:
                  - NOT_SENT
                  - AWAITING_SIGNATURE
                  - AWAITING_COUNTERSIGNATURE
                  - FINALIZING
                  - SIGNED
                  - DELIVERED
                  - DECLINED
                  - CANCELLED
                  - VOIDED
                  - EXPIRED
                  - SUPERSEDED
                  - null
              documentSource:
                type:
                  - string
                  - 'null'
                enum:
                  - ADMIN_UPLOAD
                  - WORKER_UPLOAD
                  - LEGACY_MIGRATION
                  - LEGACY_SIGNED
                  - LEGACY_VOIDED
                  - LEGACY_DECLINED
                  - LEGACY_UNSIGNED
                  - null
            required:
              - id
              - category
              - stepId
              - displayName
              - fileName
              - downloadUrl
              - createdAt
              - fileSizeInBytes
              - liveTemplateInstanceId
              - signingDelivery
              - signingStatus
              - documentSource
        pendingCountersignatureCategories:
          type: array
          items:
            type: string
        pendingCountersignatureDocuments:
          type: array
          items:
            type: object
            properties:
              category:
                type: string
              templateInstanceId:
                type: string
              displayName:
                type: string
            required:
              - category
              - templateInstanceId
              - displayName
        finalizingDocuments:
          type: array
          items:
            type: object
            properties:
              category:
                type: string
              templateInstanceId:
                type: string
              displayName:
                type: string
              envelopeId:
                type: string
            required:
              - category
              - templateInstanceId
              - displayName
              - envelopeId
      required:
        - documents
        - pendingCountersignatureCategories
        - pendingCountersignatureDocuments
        - finalizingDocuments
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
